%define name polyXmass
%define	version	0.11
%define release	2mdk

Summary: %name. The massists' program (TM)
Name: %name
Version: %version
Release: %release
Copyright: GPL
Group: Sciences/Chemistry
Source: %name-%version.tar.bz2
Source1:	%{name}48.png
Source2:	%{name}32.png
Source3:	%{name}16.png
URL: http://www.polyxmass.org
BuildRoot: %{_tmppath}/%name-buildroot
BuildRequires: bison gettext libglade0-devel libgnome32-devel libgtk+-devel

%description
%{name} is a framework for polymer mass spectrometric data 
prediction/analysis. A module of the framework allows to define ex nihilo 
polymer types (like protein, DNA, RNA, saccharides, synthetic polymers...) 
along with a number of chemical rules for the polymer type being defined.
Once the polymer type has been thoroughly defined, the main module of 
the framework will allow the editing of polymer sequences of any polymer 
type previously defined. It will then be possible to perform a variety of 
chemical actions on the polymer sequence. Mass calculations are performed 
real time whatever the chemistry that is applied to the whole polymer 
sequence or only on a selected portion of it (which is an oligomer).
The program features full customizations both in the polymer chemical 
definition, the mass calculation process and the graphical representation 
of the polymer sequence being studied.

%prep 
%setup -q

%build
%configure 
%make

%install
%makeinstall

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%name
?package(%{name}):command="polyXmass"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="polyXmass"\
icon="polyXmass.png"\
longtitle="polymer MS package"
EOF

%find_lang %name

rm -rf $RPM_BUILD_ROOT/%_docdir/%name/userman/figures/vector/polyxmass-logo.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%_docdir/%name
%_bindir/%name
%_menudir/%name
%_datadir/%name/config
%_datadir/%name/glade-interface
%_datadir/%name/pixmaps
%_datadir/%name/sequences
%_datadir/gnome/apps/Applications/%name.desktop
%_datadir/pixmaps/%name-icon.png
%_datadir/pixmaps/%name-logo.png
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Mon Jan 13 2003 Austin Acton <aacton@yorku.ca> 0.11-2mdk
- fix menu, icons, and locales

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.11-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- rip apart author's specfile to Mandrakize it :-)
